## gqrx-sdr 2.17.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

# Project name
project(gqrx)
set(${PROJECT_NAME}_MAJOR "2")
set(${PROJECT_NAME}_MINOR "17")
set(${PROJECT_NAME}_PATCH "3")
set(IS_RELEASE TRUE)

if(IS_RELEASE)
    if(${PROJECT_NAME}_PATCH EQUAL 0)
        set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}")
    else()
        set(VERSION "${${PROJECT_NAME}_MAJOR}.${${PROJECT_NAME}_MINOR}.${${PROJECT_NAME}_PATCH}")
    endif()
else()
    execute_process(
        COMMAND git describe --long --dirty
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE VERSION
        OUTPUT_STRIP_TRAILING_WHITESPACE
    )
endif()
add_definitions(-DVERSION="${VERSION}")
file(WRITE ${CMAKE_BINARY_DIR}/version.txt ${VERSION})

set(PACKAGE ${PROJECT_NAME})

########### Main global variables ###########
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: Debug GProf Valgrind Release" FORCE)
endif()

set(BUILDTYPE ${CMAKE_BUILD_TYPE})
string(TOUPPER ${BUILDTYPE} BUILDTYPE)
add_definitions(-D${BUILDTYPE})

# We have some custom .cmake scripts not in the official distribution.
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/Modules)

# Add valgrind build options if necessary
if(${CMAKE_BUILD_TYPE} MATCHES "Valgrind")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -O0")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -O0")
endif()

# Workaround for naming collision with log4cpp for Debug builds
add_definitions(-DLOG4CPP_FIX_ERROR_COLLISION=1)

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    # using regular Clang or AppleClang
    set(CMAKE_COMPILER_IS_CLANGXX 1)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANGXX)
    add_definitions(-Wall)
    add_definitions(-Wextra)
    add_definitions(-Wdouble-promotion)
    add_definitions(-Wno-unused-parameter)
    add_definitions(-Wsign-compare)
endif()

if(MSVC)
    #get math definitions like M_PI
    add_definitions(-D_USE_MATH_DEFINES)

    #use std::min()/std::max()
    add_definitions(-DNOMINMAX)

    #needed to dynamically link boost
    add_definitions(-DBOOST_ALL_DYN_LINK)

    #export gr-rds symbols
    add_definitions(-Dgnuradio_RDS_EXPORTS)

    if ("${MSVC_VERSION}" VERSION_LESS "1900")
        add_definitions(-D__func__=__FUNCTION__)
    endif()
endif()

# Functions & macros.  These must be defined before including subdirectories.

# function to collect all the sources from sub-directories
# into a single list
function(add_source_files list)
    get_property(is_defined GLOBAL PROPERTY SRCS_LIST DEFINED)
    if(NOT is_defined)
        define_property(GLOBAL PROPERTY ${list}
            BRIEF_DOCS "List of source files"
            FULL_DOCS "List of source files to be compiled in one library")
    endif()
    # make absolute paths
    set(SRCS)
    foreach(s IN LISTS ARGN)
        if(NOT IS_ABSOLUTE "${s}")
            get_filename_component(s "${s}" ABSOLUTE)
        endif()
        list(APPEND SRCS "${s}")
    endforeach()
    # append to global list
    set_property(GLOBAL APPEND PROPERTY ${list} "${SRCS}")
endfunction(add_source_files)

if(APPLE AND EXISTS /usr/local/opt/qt5)
    # Homebrew installs Qt5 (up to at least 5.9.1) in
    # /usr/local/opt/qt5, ensure it can be found by CMake since
    # it is not in the default /usr/local prefix.
    list(APPEND CMAKE_PREFIX_PATH "/usr/local/opt/qt5")
endif()

if(APPLE AND EXISTS /usr/local/opt/qt6)
    list(APPEND CMAKE_PREFIX_PATH "/usr/local/opt/qt6")
endif()

if(APPLE AND EXISTS /usr/local/opt/icu4c/lib)
    # With Homebrew icu4c, `-licudata -licui18n -licuuc`
    # are required, which reside in /usr/local/opt/icu4c/lib.
    # See src/CMakeFiles/gqrx.dir/link.txt in the build directory.
    set(ICU4C_LIBRARY_DIRS "/usr/local/opt/icu4c/lib")
else()
    set(ICU4C_LIBRARY_DIRS "")
endif()

# 3rd Party Dependency Stuff
option(FORCE_QT6 "Force Qt6 to be used" OFF)
option(FORCE_QT5 "Force Qt5 to be used" OFF)

if(FORCE_QT6)
    find_package(Qt6 REQUIRED COMPONENTS Core Network Widgets Svg SvgWidgets)
elseif(FORCE_QT5)
    find_package(Qt5 REQUIRED COMPONENTS Core Network Widgets Svg)
else()
    find_package(Qt6 QUIET COMPONENTS Core Network Widgets Svg SvgWidgets)
    if(NOT Qt6_FOUND)
        find_package(Qt5 REQUIRED COMPONENTS Core Network Widgets Svg)
    endif()
endif()

include(FindPkgConfig)
find_package(Gnuradio-osmosdr REQUIRED)

set(GR_REQUIRED_COMPONENTS RUNTIME ANALOG AUDIO BLOCKS DIGITAL FILTER FFT PMT)
find_package(Gnuradio REQUIRED COMPONENTS analog audio blocks digital filter fft network)
if(NOT Gnuradio_FOUND)
    message(FATAL_ERROR "GnuRadio Runtime required to compile gqrx")
endif()

find_package(Volk)

# Pass the GNU Radio version as 0xMMNNPP BCD.
math(EXPR GNURADIO_BCD_VERSION
    "(${Gnuradio_VERSION_MAJOR} / 10) << 20 |
     (${Gnuradio_VERSION_MAJOR} % 10) << 16 |
     (${Gnuradio_VERSION_MINOR} / 10) << 12 |
     (${Gnuradio_VERSION_MINOR} % 10) <<  8 |
     (${Gnuradio_VERSION_PATCH} / 10) <<  4 |
     (${Gnuradio_VERSION_PATCH} % 10) <<  0
    "
)
add_definitions(-DGNURADIO_VERSION=${GNURADIO_BCD_VERSION})

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux|FreeBSD")
    if(NOT LINUX_AUDIO_BACKEND)
        set(LINUX_AUDIO_BACKEND Pulseaudio CACHE STRING "Choose the audio backend, options are: Pulseaudio, Portaudio, Gr-audio" FORCE)
    endif()

    if(${LINUX_AUDIO_BACKEND} MATCHES "Pulseaudio")
        message(STATUS "Pulseaudio backend enabled")
        find_package(PulseAudio REQUIRED)
        # there is a defect in the pulse audio cmake file that does not include this library. So we add it here.
        find_library(PULSE-SIMPLE NAMES pulse-simple REQUIRED)
        add_definitions(-DWITH_PULSEAUDIO)
        unset(PORTAUDIO_INCLUDE_DIRS CACHE)
        unset(PORTAUDIO_LIBRARIES CACHE)
    elseif(${LINUX_AUDIO_BACKEND} MATCHES "Portaudio")
        message(STATUS "Portaudio backend enabled")
        find_package(PORTAUDIO REQUIRED)
        add_definitions(-DWITH_PORTAUDIO)
        unset(PULSEAUDIO_FOUND CACHE)
        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
        unset(PULSEAUDIO_LIBRARY CACHE)
        unset(PulseAudio_DIR CACHE)
        unset(PULSE-SIMPLE CACHE)
        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
        unset(PULSEAUDIO_MAINLOOP_LIBRARY CACHE)
    elseif(${LINUX_AUDIO_BACKEND} MATCHES "Gr-audio")
        message(STATUS "Gr-audio backend enabled")
        unset(PULSEAUDIO_FOUND CACHE)
        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
        unset(PULSEAUDIO_LIBRARY CACHE)
        unset(PulseAudio_DIR CACHE)
        unset(PULSE-SIMPLE CACHE)
        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
        unset(PULSEAUDIO_MAINLOOP_LIBRARY CACHE)
        unset(PORTAUDIO_INCLUDE_DIRS CACHE)
        unset(PORTAUDIO_LIBRARIES CACHE)
    else()
        message(FATAL_ERROR "Invalid audio backend: should be either Pulseaudio, Portaudio or Gr-audio")
    endif()
endif()

if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    if(NOT OSX_AUDIO_BACKEND)
        set(OSX_AUDIO_BACKEND Portaudio CACHE STRING "Choose the audio backend, options are: Portaudio and Gr-audio" FORCE)
    endif()

    if(${OSX_AUDIO_BACKEND} MATCHES "Portaudio")
        message(STATUS "Portaudio backend enabled")
        find_package(PORTAUDIO REQUIRED)
        add_definitions(-DWITH_PORTAUDIO)
        unset(PULSEAUDIO_FOUND CACHE)
        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
        unset(PULSEAUDIO_LIBRARY CACHE)
        unset(PulseAudio_DIR CACHE)
        unset(PULSE-SIMPLE CACHE)
        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
        unset(PULSEAUDIO_MAINLOOP_LIBRARY CACHE)
    elseif(${OSX_AUDIO_BACKEND} MATCHES "Gr-audio")
        message(STATUS "Gr-audio backend enabled")
        unset(PULSEAUDIO_FOUND CACHE)
        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
        unset(PULSEAUDIO_LIBRARY CACHE)
        unset(PulseAudio_DIR CACHE)
        unset(PULSE-SIMPLE CACHE)
        unset(PULSEAUDIO_INCLUDE_DIR CACHE)
        unset(PULSEAUDIO_MAINLOOP_LIBRARY CACHE)
        unset(PORTAUDIO_INCLUDE_DIRS CACHE)
        unset(PORTAUDIO_LIBRARIES CACHE)
    else()
        message(FATAL_ERROR "Invalid audio backend: should be either Portaudio or Gr-audio")
    endif()
endif()


# Airspy optimizations that require modified gr-osmosdr
option(CUSTOM_AIRSPY_KERNELS "Enable non-standard Airspy optimizations" ON)
if(CUSTOM_AIRSPY_KERNELS)
    add_definitions(-DCUSTOM_AIRSPY_KERNELS)
endif(CUSTOM_AIRSPY_KERNELS)


# Tell CMake to run moc when necessary:
set(CMAKE_AUTOMOC ON)
# As moc files are generated in the binary dir, tell CMake to always look for includes there:
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Finish configuring compiler / linker settings & flags
include_directories(
    ${CMAKE_SOURCE_DIR}/include
    ${GNURADIO_OSMOSDR_INCLUDE_DIRS}
)

link_directories(
    ${GNURADIO_RUNTIME_LIBRARY_DIRS}
    ${ICU4C_LIBRARY_DIRS}
)

# Install desktop
install(FILES dk.gqrx.gqrx.desktop DESTINATION share/applications)

# Install appstream / metainfo file
install(FILES dk.gqrx.gqrx.appdata.xml DESTINATION share/metainfo)

# Install icon
install(FILES resources/icons/gqrx.svg DESTINATION share/icons/hicolor/scalable/apps)

# Add subdirectories
add_subdirectory(src)

# uninstall target
# https://cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)
add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

=== debian/changelog ===
gqrx-sdr (2.17.3-1build1) noble; urgency=medium

  * Rebuild against latest gnuradio

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 30 Oct 2023 08:21:15 -0400

gqrx-sdr (2.17.3-1) unstable; urgency=medium

  * New upstream release.
    Fixed: Delete key shortcut for bookmark removal.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 21 Oct 2023 12:21:10 -0400

gqrx-sdr (2.17.1-1) unstable; urgency=medium

  * New upstream release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 09 Oct 2023 14:18:36 -0400

gqrx-sdr (2.17-2) unstable; urgency=medium

  * now building with Qt6
  * have debian/rules clean what CMake doesn't (Closes: #1044990)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 03 Oct 2023 19:20:47 -0400

gqrx-sdr (2.17-1) unstable; urgency=medium

  * New upstream release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 01 Oct 2023 17:00:28 -0400

=== debian/control ===
Source: gqrx-sdr
Section: hamradio
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake (>=3.2),
               debhelper-compat (= 13),
               gnuradio-dev,
               gr-osmosdr (>=0.2),
               libasound2-dev,
	       libgl-dev,
               libjack-jackd2-dev,
               libpulse-dev,
               libqt5svg5-dev,
               libsndfile1-dev,
               libvolk-dev | libvolk2-dev,
               portaudio19-dev,
               qt6-base-dev,
               qt6-base-dev-tools,
	       qt6-svg-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://gqrx.dk/
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr
Vcs-Git: https://salsa.debian.org/bottoms/pkg-gqrx-sdr.git

Package: gqrx-sdr
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: gqrx (<= 2.3.0-0kali4)
Replaces: gqrx (<= 2.3.0-0kali4)
Description: Software defined radio receiver
 Gqrx works with hardware supported by gr-osmosdr, including Funcube
 Dongle, RTL-SDR, Airspy, HackRF, BladeRF, RFSpace, USRP and SoapySDR.
 .
 Gqrx can operate as an AM/FM/SSB receiver with audio output or as an
 FFT-only instrument. The built-in Gqrx AFSK1200 decoder can decode
 and display AX.25 packets.  There are also various hooks for
 interacting with external applications using network sockets.
 .
 Wideband FM mode has mono, stereo, and RDS (Radio Data System) modes.
 Displays FFT plot and spectrum waterfall.
 .
 It is powered by GNU Radio and the Qt GUI toolkit.

## gqrx-sdr 2.17.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
 set(${PROJECT_NAME}_MINOR "17")
-set(${PROJECT_NAME}_PATCH "3")
+set(${PROJECT_NAME}_PATCH "4")
 set(IS_RELEASE TRUE)
 
 if(IS_RELEASE)
@@ -53,11 +53,11 @@
 endif()
 
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANGXX)
-    add_definitions(-Wall)
-    add_definitions(-Wextra)
-    add_definitions(-Wdouble-promotion)
-    add_definitions(-Wno-unused-parameter)
-    add_definitions(-Wsign-compare)
+    add_compile_options(-Wall)
+    add_compile_options(-Wextra)
+    add_compile_options(-Wdouble-promotion)
+    add_compile_options(-Wno-unused-parameter)
+    add_compile_options(-Wsign-compare)
 endif()
 
 if(MSVC)
@@ -231,6 +231,13 @@
     endif()
 endif()
 
+find_program(CCACHE "ccache")
+if(CCACHE)
+    set(CMAKE_C_COMPILER_LAUNCHER ${CCACHE})
+    set(CMAKE_CXX_COMPILER_LAUNCHER ${CCACHE})
+    set(ENV{CCACHE_SLOPPINESS} pch_defines,time_macros)
+endif(CCACHE)
+
 
 # Airspy optimizations that require modified gr-osmosdr
 option(CUSTOM_AIRSPY_KERNELS "Enable non-standard Airspy optimizations" ON)

=== src/CMakeLists.txt ===
###############################################################################
# Add the source subdirectories
add_subdirectory(applications)
add_subdirectory(dsp)
add_subdirectory(interfaces)
add_subdirectory(qtgui)
add_subdirectory(receivers)

if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    if(${OSX_AUDIO_BACKEND} MATCHES "Portaudio")
        add_subdirectory(portaudio)
    else()
        add_subdirectory(osxaudio)
    endif()
    add_definitions(-DGQRX_OS_MACX)
elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux|FreeBSD")
    if(${LINUX_AUDIO_BACKEND} MATCHES "Pulseaudio")
        add_subdirectory(pulseaudio)
    elseif(${LINUX_AUDIO_BACKEND} MATCHES "Portaudio")
        add_subdirectory(portaudio)
    endif()
elseif(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
endif()

###############################################################################
# bring in the global properties
get_property(${PROJECT_NAME}_SOURCE GLOBAL PROPERTY SRCS_LIST)
get_property(${PROJECT_NAME}_UI_SOURCE GLOBAL PROPERTY UI_SRCS_LIST)

###############################################################################
# Process the UI files
if(Qt6_FOUND)
    QT_WRAP_UI(UIS_HDRS
        ${${PROJECT_NAME}_UI_SOURCE}
    )
else()
    QT5_WRAP_UI(UIS_HDRS
        ${${PROJECT_NAME}_UI_SOURCE}
    )
endif()

###############################################################################
# Process the resources
if(Qt6_FOUND)
    QT_ADD_RESOURCES(RESOURCES_LIST
        ../resources/icons.qrc
        ../resources/textfiles.qrc
    )
else()
    QT5_ADD_RESOURCES(RESOURCES_LIST
        ../resources/icons.qrc
        ../resources/textfiles.qrc
    )
endif()

###############################################################################
# Resource file - adds an icon to GQRX executable
if (WIN32)
    set(ICON_SOURCE ${CMAKE_SOURCE_DIR}/resources/icons/gqrx.ico)
    set(RES_FILES "${CMAKE_CURRENT_BINARY_DIR}/gqrx.rc")
    file(WRITE "${RES_FILES}" "id ICON \"${ICON_SOURCE}\"")
    set(CMAKE_RC_COMPILER_INIT windres)
    enable_language(RC)
    set(CMAKE_RC_COMPILE_OBJECT
        "<CMAKE_RC_COMPILER> <FLAGS> -O coff <DEFINES> -i <SOURCE> -o <OBJECT>")
    list(APPEND RESOURCES_LIST ${RES_FILES})
endif(WIN32)

###############################################################################
# Build the program
add_executable(${PROJECT_NAME} ${${PROJECT_NAME}_SOURCE} ${UIS_HDRS} ${RESOURCES_LIST})
if(Qt6_FOUND)
    set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 17)
else()
    set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 14)
endif()
# The pulse libraries are only needed on Linux. On other platforms they will
# not be found, so having them here is fine.

if(Qt6_FOUND)
    target_link_libraries(${PROJECT_NAME}
        Qt6::Core
        Qt6::Network
        Qt6::Widgets
        Qt6::Svg
        Qt6::SvgWidgets
    )
else()
    target_link_libraries(${PROJECT_NAME}
        Qt5::Core
        Qt5::Network
        Qt5::Widgets
        Qt5::Svg
    )
endif()

target_link_libraries(${PROJECT_NAME}
    ${GNURADIO_OSMOSDR_LIBRARIES}
    ${PULSEAUDIO_LIBRARY}
    ${PULSE-SIMPLE}
    ${PORTAUDIO_LIBRARIES}
)

if(NOT Gnuradio_VERSION VERSION_LESS "3.10")
    target_link_libraries(${PROJECT_NAME}
        gnuradio::gnuradio-analog
        gnuradio::gnuradio-blocks
        gnuradio::gnuradio-digital
        gnuradio::gnuradio-filter
        gnuradio::gnuradio-network
        gnuradio::gnuradio-audio
        Volk::volk
    )
else()
    target_link_libraries(${PROJECT_NAME}
        gnuradio::gnuradio-analog
        gnuradio::gnuradio-blocks
        gnuradio::gnuradio-digital
        gnuradio::gnuradio-filter
        gnuradio::gnuradio-audio
        Volk::volk
    )
endif()

#build a win32 app, not a console app
if (WIN32)
    if (MSVC)
        set(CMAKE_EXE_LINKER_FLAGS "/entry:mainCRTStartup ${CMAKE_EXE_LINKER_FLAGS}")
    else()
        set(CMAKE_EXE_LINKER_FLAGS "-Wl,-e,mainCRTStartup ${CMAKE_EXE_LINKER_FLAGS}")
    endif(MSVC)
    set_target_properties(${PROJECT_NAME} PROPERTIES WIN32_EXECUTABLE ON)
endif (WIN32)

set(INSTALL_DEFAULT_BINDIR "bin" CACHE STRING "Appended to CMAKE_INSTALL_PREFIX")
install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

=== src/qtgui/CMakeLists.txt ===
#######################################################################################################################
# Add the source files to SRCS_LIST
add_source_files(SRCS_LIST
	afsk1200win.cpp
	afsk1200win.h
	agc_options.cpp
	agc_options.h
	audio_options.cpp
	audio_options.h
	bandplan.cpp
	bandplan.h
	bookmarks.cpp
	bookmarks.h
	bookmarkstablemodel.cpp
	bookmarkstablemodel.h
	bookmarkstaglist.cpp
	bookmarkstaglist.h
	ctk/ctkPimpl.h
	ctk/ctkRangeSlider.cpp
	ctk/ctkRangeSlider.h
	demod_options.cpp
	demod_options.h
	dockaudio.cpp
	dockaudio.h
	dockbookmarks.cpp
	dockbookmarks.h
	dockfft.cpp
	dockfft.h
	dockinputctl.cpp
	dockinputctl.h
	dockrds.cpp
	dockrds.h
	dockrxopt.cpp
	dockrxopt.h
	dxc_options.cpp
	dxc_options.h
	dxc_spots.cpp
	dxc_spots.h
	freqctrl.cpp
	freqctrl.h
	ioconfig.cpp
	ioconfig.h
	iq_tool.cpp
	iq_tool.h
	meter.cpp
	meter.h
	nb_options.cpp
	nb_options.h
	plotter.cpp
	plotter.h
	qtcolorpicker.cpp
	qtcolorpicker.h
)

#######################################################################################################################
# Add the source files to UI_SRCS_LIST
add_source_files(UI_SRCS_LIST
	afsk1200win.ui
	agc_options.ui
	audio_options.ui
	demod_options.ui
	dockaudio.ui
	dockbookmarks.ui
	dockfft.ui
	dockinputctl.ui
	dockrds.ui
	dockrxopt.ui
	dxc_options.ui
	ioconfig.ui
	iq_tool.ui
	nb_options.ui
)

=== debian/changelog ===
gqrx-sdr (2.17.4-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:54:07 +1100

gqrx-sdr (2.17.4-2build2) noble; urgency=medium

  * No-change rebuild against gnuradio t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Mar 2024 02:39:38 +0100

gqrx-sdr (2.17.4-2build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:52:29 +0000

gqrx-sdr (2.17.4-2) unstable; urgency=medium

  * merge Janitor pull requests:
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.
  * fix volk dependency

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 24 Feb 2024 21:59:29 -0500

gqrx-sdr (2.17.4-1) unstable; urgency=medium

  * New upstream release.
    Reply to \get_powerstat to fix wsjtx

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 10 Feb 2024 11:07:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: gqrx-sdr
 Section: hamradio
 Priority: optional
-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: cmake (>=3.2),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Build-Depends: cmake,
                debhelper-compat (= 13),
                gnuradio-dev,
-               gr-osmosdr (>=0.2),
+               gr-osmosdr (>= 0.2),
                libasound2-dev,
 	       libgl-dev,
                libjack-jackd2-dev,
                libpulse-dev,
                libqt5svg5-dev,
                libsndfile1-dev,
-               libvolk-dev | libvolk2-dev,
+               libvolk-dev,
                portaudio19-dev,
                qt6-base-dev,
                qt6-base-dev-tools,
 	       qt6-svg-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: http://gqrx.dk/
+Homepage: https://gqrx.dk/
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr
 Vcs-Git: https://salsa.debian.org/bottoms/pkg-gqrx-sdr.git

## gqrx-sdr 2.17.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
 set(${PROJECT_NAME}_MINOR "17")
-set(${PROJECT_NAME}_PATCH "4")
+set(${PROJECT_NAME}_PATCH "5")
 set(IS_RELEASE TRUE)
 
 if(IS_RELEASE)

=== debian/changelog ===
gqrx-sdr (2.17.5-1) unstable; urgency=medium

  * New upstream release.
    Fixed: Respond correctly to pipelined remote control commands.
    Fixed: Limit UDP packet size to 1024, for compatibility with netcat.

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 18 Apr 2024 19:25:06 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gqrx-sdr
 Section: hamradio
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                gnuradio-dev,

## gqrx-sdr 2.17.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(gqrx)
 set(${PROJECT_NAME}_MAJOR "2")
 set(${PROJECT_NAME}_MINOR "17")
-set(${PROJECT_NAME}_PATCH "5")
+set(${PROJECT_NAME}_PATCH "6")
 set(IS_RELEASE TRUE)
 
 if(IS_RELEASE)

=== debian/changelog ===
gqrx-sdr (2.17.6-2) unstable; urgency=medium

  * Add Appstream metainfo announcing HW support (Closes: #1078991)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 30 Nov 2024 11:58:00 -0500

gqrx-sdr (2.17.6-1) unstable; urgency=medium

  * New upstream release.
  New: Fetch RDS Program Service & RadioText via remote control.
  New: Set and query audio mute via remote control.
  Improved: Save I/Q recording format to settings.
  Improved: Reduced CPU utilization of plot and waterfall display.
  Improved: Display and formatting of RDS data.
  Fixed: Decoding of RDS flags.
  Fixed: Incorrect channel filter offset, for some devices.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 30 Nov 2024 11:24:15 -0500

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                qt6-base-dev,
                qt6-base-dev-tools,
 	       qt6-svg-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gqrx.dk/
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr

## gqrx-sdr 2.17.7

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,6 @@
     else()
         add_subdirectory(osxaudio)
     endif()
-    add_definitions(-DGQRX_OS_MACX)
 elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux|FreeBSD")
     if(${LINUX_AUDIO_BACKEND} MATCHES "Pulseaudio")
         add_subdirectory(pulseaudio)

=== src/applications/CMakeLists.txt ===
#######################################################################################################################
# Add the source files to SRCS_LIST
add_source_files(SRCS_LIST
	gqrx/gqrx.h
	gqrx/main.cpp
	gqrx/mainwindow.cpp
	gqrx/mainwindow.h
	gqrx/receiver.cpp
	gqrx/receiver.h
	gqrx/remote_control_settings.cpp
	gqrx/remote_control_settings.h
	gqrx/remote_control.cpp
	gqrx/remote_control.h
	gqrx/recentconfig.cpp
	gqrx/recentconfig.h
	gqrx/file_resources.cpp
)

#######################################################################################################################
# Add the UI files to UI_SRCS_LIST
add_source_files(UI_SRCS_LIST
	gqrx/mainwindow.ui
	gqrx/remote_control_settings.ui
)

=== src/dsp/CMakeLists.txt ===

# Add the source files to SRCS_LIST
add_source_files(SRCS_LIST
	afsk1200/cafsk12.cpp
	afsk1200/cafsk12.h
	afsk1200/costabf.c
	afsk1200/filter.h
	filter/fir_decim.cpp
	filter/fir_decim.h
	filter/fir_decim_coef.h
	rds/api.h
	rds/constants.h
	rds/decoder_impl.cc
	rds/decoder_impl.h
	rds/decoder.h
	rds/parser_impl.cc
	rds/parser_impl.h
	rds/parser.h
	rds/tmc_events.h
	agc_impl.cpp
	agc_impl.h
	correct_iq_cc.cpp
	correct_iq_cc.h
	downconverter.cpp
	downconverter.h
	fm_deemph.cpp
	fm_deemph.h
	lpf.cpp
	lpf.h
	resampler_xx.cpp
	resampler_xx.h
	rx_agc_xx.cpp
	rx_agc_xx.h
	rx_demod_am.cpp
	rx_demod_am.h
	rx_demod_fm.cpp
	rx_demod_fm.h
	rx_fft.cpp
	rx_fft.h
	rx_filter.cpp
	rx_filter.h
	rx_meter.cpp
	rx_meter.h
	rx_noise_blanker_cc.cpp
	rx_noise_blanker_cc.h
	rx_rds.cpp
	rx_rds.h
	sniffer_f.cpp
	sniffer_f.h
	stereo_demod.cpp
	stereo_demod.h
)

=== src/osxaudio/CMakeLists.txt ===
#######################################################################################################################
# Add the source files to SRCS_LIST
add_source_files(SRCS_LIST
	device_list.cpp
	device_list.h
)

=== src/pulseaudio/CMakeLists.txt ===
# Add the source files to SRCS_LIST
add_source_files(SRCS_LIST
    pa_device_list.cc
    pa_device_list.h
    pa_sink.cc
    pa_sink.h
    pa_source.cc
    pa_source.h
)

=== debian/changelog ===
gqrx-sdr (2.17.7-1) unstable; urgency=medium

  * New upstream release. (Closes: #1112976)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 14 Oct 2025 00:19:12 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                qt6-base-dev,
                qt6-base-dev-tools,
 	       qt6-svg-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gqrx.dk/
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gqrx-sdr

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_test:
	echo "No tests defined in gqrx"

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gqrx-sdr_$1.orig.tar.gz%" \
 https://github.com/gqrx-sdr/gqrx/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
